#
# spec file for package perl-Test-CheckManifest
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Test-CheckManifest
Name:           perl-Test-CheckManifest
Version:        1.43
Release:        1.3
License:        Artistic-2.0
Summary:        Check if your Manifest matches your distro
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RE/RENEEB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta::YAML)
BuildRequires:  perl(Cwd) >= 3.75
BuildRequires:  perl(Pod::Coverage::TrustPod)
Requires:       perl(Cwd) >= 3.75
%{perl_requires}

%description
Check if your Manifest matches your distro

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
touch dummy.list
mv *.files *.list ..
%{__make} test
mv ../*.files ../*.list .

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING.md CONTRIBUTORS README
%license LICENSE

%changelog
* Thu Feb  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.43
  see /usr/share/doc/packages/perl-Test-CheckManifest/Changes
  1.43    2023-02-01 08:32:00
  * $home is usually given without trailing slash,
    the $files_in_skip is taken from MANIFEST.SKIP which usually contain regexes
    for files relative the $home. Therefore the remaining leading slashes in $localfile (thanks to bschmalhofer)
  * Fix home removal on Win32 (thanks to E. Choroba)
  * Replace string eval with block eval (thanks to Paul Cochrane)
  * various "infrastructure" changes (thanks to Paul Cochrane)
* Wed Mar 13 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.42
  see /usr/share/doc/packages/perl-Test-CheckManifest/Changes
  1.42    2019-02-22 17:41:00
  * add section in doc that explains how to replace test scripts using Test::CheckManifest
  * stable release with all the changes from the test releases
  1.41_04 2019-02-21 15:12:00
  * fix test failure on Win32 - use "plan skip_all" instead of "skip '...'"
  * update dist.ini
  1.41_03 2019-02-21 09:27:00
  * optimize ok_manifest()
  * add more tests for find_home()
  1.41_02 2019-02-20 13:37:00
  * more debugging stuff
  1.41_01 2019-02-20 09:50:00
  * use regexes to silence warnings
  * add debugging stuff to debug win32 failures
* Wed Feb 20 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.41
  see /usr/share/doc/packages/perl-Test-CheckManifest/Changes
  1.41  2019-02-19 10:53:00
  * improve tests
  * Removed regex warnings on windows box as reported by CPANTESTERS (Thanks to manwar)
* Fri Feb 15 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.39
  see /usr/share/doc/packages/perl-Test-CheckManifest/Changes
  1.39  2019-02-14 07:28:00
  * release 1.39
  1.38_02 2018-12-23 11:32:00
  * fix test failures (thanks to manwar and LorenzoTa)
  1.38_01 2018-12-21 14:30:00
  * more tests
  * refactor code
* Fri Dec 14 2018 Stephan Kulow <coolo@suse.com>
- updated to 1.38
  see /usr/share/doc/packages/perl-Test-CheckManifest/Changes
  1.38  2018-12-13 16:26:00
    [BUGFIX]
  * require at least Cwd 3.75
* Thu Dec 13 2018 Stephan Kulow <coolo@suse.com>
- updated to 1.36
  see /usr/share/doc/packages/perl-Test-CheckManifest/Changes
  1.35  2018-12-12 09:05:00
    [BUGFIX]
  * Tests failed
* Wed Dec 12 2018 Stephan Kulow <coolo@suse.com>
- updated to 1.34
  see /usr/share/doc/packages/perl-Test-CheckManifest/Changes
  1.34  2018-12-11
    [BUGFIX]
  * Tests failed on Windows (github #9)
  * 'exclude' is meant to be a list of directories, but it was handled as regular expressions
    [IMPROVEMENTS]
  * rewrite larger parts of the module
  * add lots of tests
* Wed Feb  7 2018 coolo@suse.com
- updated to 1.33
  see /usr/share/doc/packages/perl-Test-CheckManifest/Changes
  1.33  2018-01-26
    [INTERNAL]
  * Auto generate META.json using dzil plugin [MetaJSON] (github #8, thanks to manwar)
  1.32  2018-01-26
    [BUGFIX]
  * ok_manifest reports duplicate files on internal symlinks (github #7)
* Wed Jun 14 2017 coolo@suse.com
- update to 1.31 and fix build
    [IMPROVEMENT]
  * Run tests in series, not parallel. This should fix github #4. Thanks to Michael Gray (mjg17).
  * Check duplicate entries in the MANIFEST file (Thanks to Mohammad S Anwar (Manwar), github #5)
* Fri Jun  1 2012 coolo@suse.com
- updated to 1.25
  - fix typo in documentation - Thanks to BIGPRESH
    + MANIFEST spec allows whitespaces in filenames (when enclosed in single quotes)
    this was not parsed correctly (see [#67334]). Fixed now - Thanks to JWEIGEL
    + CPAN toolchain now creates MYMETA.yml and META.json. These files are in
    the list of recognized files now.
    + clarify license of this module (In README the Perl license was mentioned where
    in all other files Artistic 2.0 was mentioned)
    + switched to Dist::Zilla
    + removed tests that are created by Dist::Zilla
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Sep 20 2010 jw@novell.com
- recreated specfile
  * created by cpanspec 1.78.02
* Wed Aug 25 2010 jw@novell.com
- 1.22 from cpan
